=== debian/control ===
Source: openconnect
Maintainer: Mike Miller <mtmiller@debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dpkg-dev (>= 1.17.14),
               groff,
               libgcrypt20-dev,
               libgnutls28-dev,
               libkrb5-dev,
               liblz4-dev,
               libp11-kit-dev,
               libpcsclite-dev,
               libproxy-dev,
               libsocket-wrapper [!hurd-i386] <!nocheck>,
               libstoken-dev,
               libtasn1-6-dev,
               libtss2-dev,
               libuid-wrapper [!alpha !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386] <!nocheck>,
               libxml2-dev,
               locales-all <!nocheck>,
               ocserv (>= 0.12.1-2) [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386] <!nocheck>,
               openssl <!nocheck>,
               pkg-config,
               python3,
               softhsm2 [!hurd-i386] <!nocheck>,
               zlib1g-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/openconnect
Vcs-Git: https://salsa.debian.org/debian/openconnect.git
Homepage: https://www.infradead.org/openconnect/

Package: openconnect
Architecture: any
Depends: vpnc-scripts, ${misc:Depends}, ${shlibs:Depends}
Description: open client for Cisco AnyConnect, Pulse, GlobalProtect VPN
 OpenConnect is an SSL VPN client initially created to support Cisco's
 AnyConnect SSL VPN. It has since been extended to support the Pulse Connect
 Secure VPN (formerly known as Juniper Network Connect or Junos Pulse) and
 the Palo Alto Networks GlobalProtect SSL VPN.
 .
 A corresponding OpenConnect VPN server implementation can be found in the
 ocserv package.

Package: libopenconnect-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgnutls28-dev,
         liblz4-dev,
         libopenconnect5 (= ${binary:Version}),
         libp11-kit-dev,
         libpcsclite-dev,
         libproxy-dev,
         libstoken-dev,
         libxml2-dev,
         zlib1g-dev,
         ${misc:Depends}
Description: open client for Cisco AnyConnect, Pulse, GlobalProtect VPN - development files
 OpenConnect is an SSL VPN client initially created to support Cisco's
 AnyConnect SSL VPN. It has since been extended to support the Pulse Connect
 Secure VPN (formerly known as Juniper Network Connect or Junos Pulse) and
 the Palo Alto Networks GlobalProtect SSL VPN.
 .
 This package provides the header and development files.

Package: libopenconnect5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ca-certificates
Pre-Depends: ${misc:Pre-Depends}
Description: open client for Cisco AnyConnect, Pulse, GlobalProtect VPN - shared library
 OpenConnect is an SSL VPN client initially created to support Cisco's
 AnyConnect SSL VPN. It has since been extended to support the Pulse Connect
 Secure VPN (formerly known as Juniper Network Connect or Junos Pulse) and
 the Palo Alto Networks GlobalProtect SSL VPN.
 .
 This package provides the shared library.
