=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
ftp://ftp.infradead.org/pub/openconnect/openconnect-(.*)\.tar\.gz
