## openconnect 8.10

=== debian/changelog ===
openconnect (8.10-2) unstable; urgency=medium

  * Build-depend on python3:any to allow cross-compilation. Thanks Helmut!
    (Closes: #972646)

 -- Luca Boccassi <bluca@debian.org>  Thu, 29 Oct 2020 18:11:44 +0000

openconnect (8.10-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/8.10'
    - Fixes buffer overflow in certificate handling (CVE-2020-12823)
      (Closes: #960620)
  * Drop all patches, merged upstream

 -- Luca Boccassi <bluca@debian.org>  Thu, 14 May 2020 18:51:18 +0100

openconnect (8.09-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/8.09'
  * Install python scripts to handle HIP reports for Juniper's VPN
  * Backport patches to fix and install bash completion script
  * Backport patch to install tncc-emulate python script
  * Drop as-needed from d/rules, it's default in bullseye

 -- Luca Boccassi <bluca@debian.org>  Sat, 02 May 2020 12:21:50 +0100

openconnect (8.08-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/8.06'
  * Update libopenconnect5.symbols for 8.06
  * Update upstream source from tag 'upstream/8.07'
  * Build with --without-gnutls-version-check
  * Update upstream source from tag 'upstream/8.08'

 -- Luca Boccassi <bluca@debian.org>  Mon, 06 Apr 2020 18:35:43 +0100
