=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                ocserv (>= 0.12.1-2) [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386] <!nocheck>,
                openssl <!nocheck>,
                pkg-config,
-               python3,
+               python3:any,
                softhsm2 [!hurd-i386] <!nocheck>,
                zlib1g-dev
 Standards-Version: 4.5.0
@@ -35,6 +35,8 @@
 Package: openconnect
 Architecture: any
 Depends: vpnc-scripts, ${misc:Depends}, ${shlibs:Depends}
+Recommends: python3, python3-asn1crypto, python3-mechanize, python3-netifaces,
+Suggests: bash-completion,
 Description: open client for Cisco AnyConnect, Pulse, GlobalProtect VPN
  OpenConnect is an SSL VPN client initially created to support Cisco's
  AnyConnect SSL VPN. It has since been extended to support the Pulse Connect
