## openconnect 8.20

=== android/Makefile ===
--- 
+++ 
@@ -10,15 +10,18 @@
 #
 # It should also be fairly simple to extend this to cross-compile for any target
 
-NDK     := /opt/android-sdk-linux_x86/android-ndk-r16b
-ARCH    := arm
+# Last tested with https://dl.google.com/android/repository/android-ndk-r21b-linux-x86_64.zip
+
+
+NDK     := /opt/android-sdk-linux_x86/android-ndk-r21b
+ARCH    := x86_64
+API_LEVEL := 23
 
 EXTRA_CFLAGS :=
 
 # You should be able to just 'make ARCH=x86' and it should DTRT.
 ifeq ($(ARCH),arm)
 TRIPLET := arm-linux-androideabi
-API_LEVEL := 14
 EXTRA_CFLAGS := -march=armv7-a -mthumb
 endif
 ifeq ($(ARCH),arm64)
@@ -27,11 +30,9 @@
 endif
 ifeq ($(ARCH),x86)
 TRIPLET := i686-linux-android
-API_LEVEL := 14
 endif
 ifeq ($(ARCH),x86_64)
 TRIPLET := x86_64-linux-android
-API_LEVEL := 21
 endif
 
 TOPDIR := $(shell pwd)
@@ -88,9 +89,10 @@
 #
 # Build libxml2 with minimal configuration for OpenConnect
 #
-LIBXML2_VER := 2.9.7
+# http://xmlsoft.org/news.html
+LIBXML2_VER := 2.9.11
 LIBXML2_TAR := libxml2-$(LIBXML2_VER).tar.gz
-LIBXML2_SHA := f63c5e7d30362ed28b38bfa1ac6313f9a80230720b7fb6c80575eeab3ff5900c
+LIBXML2_SHA := 886f696d5d5b45d780b2880645edf9e0c62a4fd6841b853e824ada4e02b4d331
 LIBXML2_SRC := sources/libxml2-$(LIBXML2_VER)
 LIBXML2_BUILD := $(TRIPLET)/libxml2
 
@@ -136,9 +138,10 @@
 #
 # Build GNU MP
 #
-GMP_VER := 6.1.2
+# https://gmplib.org/
+GMP_VER := 6.2.1
 GMP_TAR := gmp-$(GMP_VER).tar.xz
-GMP_SHA := 87b565e89a9a684fe4ebeeddb8399dce2599f9c9049854ca8c0dfbdea0e21912
+GMP_SHA := fd4829912cddd12f84181c3451cc752be224643e87fac497b69edddadc49b4f2
 GMP_SRC := sources/gmp-$(GMP_VER)
 GMP_BUILD := $(TRIPLET)/gmp
 
@@ -152,7 +155,7 @@
 
 $(GMP_BUILD)/Makefile: $(TOOLCHAIN_BUILT) $(GMP_SRC)/configure
 	mkdir -p $(GMP_BUILD)
-	cd $(GMP_BUILD) && ../../$(GMP_SRC)/configure $(CONFIGURE_ARGS) 
+	cd $(GMP_BUILD) && ../../$(GMP_SRC)/configure $(CONFIGURE_ARGS)
 
 
 $(GMP_BUILD)/libgmp.la: $(GMP_BUILD)/Makefile
@@ -170,9 +173,10 @@
 #
 # Build nettle
 #
-NETTLE_VER := 3.4
+# https://ftp.gnu.org/gnu/nettle/
+NETTLE_VER := 3.6
 NETTLE_TAR := nettle-$(NETTLE_VER).tar.gz
-NETTLE_SHA := ae7a42df026550b85daca8389b6a60ba6313b0567f374392e54918588a411e94
+NETTLE_SHA := d24c0d0f2abffbc8f4f34dcf114b0f131ec3774895f3555922fe2f40f3d5e3f1
 NETTLE_SRC := sources/nettle-$(NETTLE_VER)
 NETTLE_BUILD := $(TRIPLET)/nettle
 
@@ -203,9 +207,10 @@
 #
 # Build GnuTLS
 #
-GNUTLS_VER := 3.5.17
+# https://www.gnutls.org/download.html
+GNUTLS_VER := 3.6.16
 GNUTLS_TAR := gnutls-$(GNUTLS_VER).tar.xz
-GNUTLS_SHA := 86b142afef587c118d63f72ccf307f3321dbc40357aae528202b65d913d20919
+GNUTLS_SHA := 1b79b381ac283d8b054368b335c408fedcb9b7144e0c07f531e3537d4328f3b3
 GNUTLS_SRC := sources/gnutls-$(GNUTLS_VER)
 GNUTLS_BUILD := $(TRIPLET)/gnutls
 
@@ -228,15 +233,14 @@
 $(GNUTLS_BUILD)/Makefile: $(TOOLCHAIN_BUILT) $(GNUTLS_SRC)/configure $(NETTLE_DEPS)
 	mkdir -p $(GNUTLS_BUILD)
 	cd $(GNUTLS_BUILD) && ../../$(GNUTLS_SRC)/configure $(CONFIGURE_ARGS) \
-		AUTOGEN=/bin/true \
-		--disable-threads --disable-tests --without-zlib --disable-nls \
+		AUTOGEN=/bin/false \
+		--disable-threads --disable-tests --disable-nls \
 		--disable-doc --disable-openssl-compatibility --disable-cxx \
-		--disable-openssl-compatibility --disable-ocsp \
-		--disable-openpgp-authentication --disable-anon-authentication \
+		--disable-openssl-compatibility --disable-ocsp --disable-tools \
+		--disable-anon-authentication --with-included-libtasn1 \
 		--enable-psk-authentication --disable-srp-authentication \
 		--disable-dtls-srtp-support  --enable-dhe --enable-ecdhe \
-		--disable-rsa-export --with-included-libtasn1 \
-		--with-included-unistring --without-p11-kit
+		--with-included-unistring --without-p11-kit --disable-guile
 
 $(GNUTLS_BUILD)/lib/libgnutls.la: $(GNUTLS_BUILD)/Makefile
 	$(MAKE) -C $(GNUTLS_BUILD)
@@ -253,6 +257,7 @@
 #
 # Build libstoken
 #
+# https://sourceforge.net/projects/stoken/files/
 STOKEN_VER := 0.92
 STOKEN_TAR := stoken-$(STOKEN_VER).tar.gz
 STOKEN_SHA := aa2b481b058e4caf068f7e747a2dcf5772bcbf278a4f89bc9efcbf82bcc9ef5a
@@ -287,9 +292,10 @@
 #
 # Build liboath
 #
-OATH_VER := 2.6.2
+# https://download.savannah.nongnu.org/releases/oath-toolkit/
+OATH_VER := 2.6.7
 OATH_TAR := oath-toolkit-$(OATH_VER).tar.gz
-OATH_SHA := b03446fa4b549af5ebe4d35d7aba51163442d255660558cd861ebce536824aa0
+OATH_SHA := 36eddfce8f2f36347fb257dbf878ba0303a2eaafe24eaa071d5cd302261046a9
 OATH_SRC := sources/oath-toolkit-$(OATH_VER)
 OATH_BUILD := $(TRIPLET)/oath
 
@@ -324,9 +330,10 @@
 #
 # Build liblz4
 #
-LZ4_VER := 1.8.1.2
+# https://github.com/lz4/lz4/tags
+LZ4_VER := 1.9.3
 LZ4_TAR := lz4-v$(LZ4_VER).tar.gz
-LZ4_SHA := 12f3a9e776a923275b2dc78ae138b4967ad6280863b77ff733028ce89b8123f9
+LZ4_SHA := 030644df4611007ff7dc962d981f390361e6c97a34e5cbc393ddfbe019ffe2c1
 LZ4_DIR := $(TRIPLET)/lz4-$(LZ4_VER)
 
 $(LZ4_TAR):
@@ -395,13 +402,3 @@
 # Special targets for maintainer use
 #
 
-# download + extract, but do not build
-.PHONY: sources
-sources: $(SOURCE_LIST)
-
-.PHONY: $(MIRROR_TEST_TARGETS)
-$(MIRROR_TEST_TARGETS) : mirror-test-% :
-	$(FETCH) --mirror-test $($(*)_TAR) $($(*)_SHA)
-
-# (re)test all mirrors for all packages. safe for use with "make -jN"
-.PHONY: mirror-test
