=== debian/changelog ===
openconnect (8.20-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/8.20'
    For a full list of changes see the upstream changelog at:
    https://www.infradead.org/openconnect/changelog.html
  * Update symbols file for 8.20
  * Drop patches merged upstream
  * Refresh SAML patch
  * autopkgtest: skip unavailable swtpm key in auth-certificate test
  * autopkgtest: run new tests
  * Update descriptions to include new VPNs

 -- Luca Boccassi <bluca@debian.org>  Mon, 21 Feb 2022 00:42:45 +0000

openconnect (8.10-8) unstable; urgency=medium

  * Add dependency on libpskc-dev to libopenconnect-dev
  * Backport patch to fix GP IPv6 split tunnel
  * Bump copyright year ranges in d/copyright
  * Update dep-3 headers to fix Lintian Warning
  * Override very-long-line-length-in-source-file
  * Override Lintian warning about symbols file

 -- Luca Boccassi <bluca@debian.org>  Wed, 02 Feb 2022 11:24:06 +0000

openconnect (8.10-7) unstable; urgency=medium

  * Disable build-time tests (Closes: #974836)
  * Build-depend on libpskc-dev (Closes: #847980)

 -- Luca Boccassi <bluca@debian.org>  Fri, 28 Jan 2022 13:57:59 +0000

openconnect (8.10-6) unstable; urgency=medium

  * Backport support for IPv6 in GlobalProtect

 -- Luca Boccassi <bluca@debian.org>  Fri, 28 Jan 2022 11:11:21 +0000

openconnect (8.10-5) unstable; urgency=medium

  * Backport patch to stop sending X-AnyConnect-Platform header

 -- Luca Boccassi <bluca@debian.org>  Tue, 04 Jan 2022 13:34:50 +0000

openconnect (8.10-4) unstable; urgency=medium

  * Update SAML patch. Correctly detect termination on Anyconnect + Google
    SAML. Also restore backward compatibility for legacy CLI based
    workflow. (Closes: #1001555)

 -- Luca Boccassi <bluca@debian.org>  Thu, 30 Dec 2021 23:59:51 +0000

openconnect (8.10-3) unstable; urgency=medium

  * Backport patch to support SAML SSO
  * Bump year range in d/copyright
  * Bump Standards-Version to 4.6.0, no changes
  * Bump debhelper-compat to 13
  * Switch from FTP to HTTPS in debian/watch
  * Update Lintian override

 -- Luca Boccassi <bluca@debian.org>  Fri, 10 Dec 2021 23:59:51 +0000
