=== debian/rules ===
--- 
+++ 
@@ -22,3 +22,7 @@
 
 override_dh_compress:
 	dh_compress -Xhtml/changelog.html
+
+# buildd's environment is sometimes broken and doesn't provide
+# ipv4 localhost, so the tests cannot work
+override_dh_auto_test:
