## openconnect 9.01

=== debian/changelog ===
openconnect (9.01-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2, no changes
  * Backport patch to fix connection to Pulse server v9.1R16 (Closes:
    #1031906)

 -- Luca Boccassi <bluca@debian.org>  Sat, 25 Feb 2023 18:46:29 +0000

openconnect (9.01-2) unstable; urgency=medium

  * Backport patch to fix SSO with anyconnect v2
    (Closes: #1025961) (LP: #1993901)
  * Add Build-Depends and Suggests on xdg-utils for embedded SSO
    (Closes: #1025961)
  * Bump Standards-Version to 4.6.1, no changes
  * Drop ancient NEWS file

 -- Luca Boccassi <bluca@debian.org>  Thu, 15 Dec 2022 01:17:36 +0000

openconnect (9.01-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/9.01'
  * Drop 0001-support-AnyConnect-single-sign-on-v2.patch, merged upstream
  * Update symbols file for v9.01
  * Skip libtss2 and ocserv on more architectures where they are not
    available

 -- Luca Boccassi <bluca@debian.org>  Sat, 30 Apr 2022 14:22:43 +0100
