=== debian/control ===
--- 
+++ 
@@ -16,17 +16,18 @@
                libsocket-wrapper [!hurd-i386] <!nocheck>,
                libstoken-dev,
                libtasn1-6-dev,
-               libtss2-dev,
+               libtss2-dev [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386],
                libuid-wrapper [!alpha !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386] <!nocheck>,
                libxml2-dev,
                locales-all <!nocheck>,
-               ocserv [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386] <!nocheck>,
+               ocserv [!alpha !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4 !sparc64] <!nocheck>,
                openssl <!nocheck>,
                pkg-config,
                python3:any,
                softhsm2 [!hurd-i386] <!nocheck>,
+               xdg-utils,
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/openconnect
 Vcs-Git: https://salsa.debian.org/debian/openconnect.git
@@ -36,7 +37,7 @@
 Architecture: any
 Depends: vpnc-scripts, ${misc:Depends}, ${shlibs:Depends}
 Recommends: python3, python3-asn1crypto, python3-mechanize, python3-netifaces,
-Suggests: bash-completion,
+Suggests: bash-completion, xdg-utils,
 Description: open client for various network vendors SSL VPNs
  OpenConnect is an SSL VPN client initially created to support Cisco's
  AnyConnect SSL VPN. It has since been extended to support the Pulse Connect
