=== debian/changelog ===
openconnect (9.12-1build5) noble; urgency=high

  * No change rebuild against libgnutls30t64, libhogweed6t64,
    libpskc0t64, libstoken1t64, libtss2-esys-3.0.2-0t64, libtss2-mu-
    4.0.1-0t64, libtss2-tctildr0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:47:00 +0200

openconnect (9.12-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:11:34 +0000

openconnect (9.12-1build3) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:10:53 +0000

openconnect (9.12-1build2) noble; urgency=medium

  * No-change rebuild against libhogweed6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Mar 2024 06:24:46 +0000

openconnect (9.12-1build1) noble; urgency=medium

  * Rebuild against new libtss2-mu-4.0.1-0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Jan 2024 13:14:38 +0100

openconnect (9.12-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/9.12'
    For a full list of changes see the upstream changelog at:
    https://www.infradead.org/openconnect/changelog.html
  * Drop all patches, merged upstream
  * Update symbols file

 -- Luca Boccassi <bluca@debian.org>  Tue, 13 Jun 2023 23:41:20 +0100
