=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: openconnect
-Maintainer: Mike Miller <mtmiller@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mike Miller <mtmiller@debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>
 Section: net
 Priority: optional
