=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://www.infradead.org/openconnect/download/openconnect-(.*)\.tar\.gz
